> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Workflow run screen asset

> Retrieves a specific screen asset for a given workflow run. The asset path is specified by the wildcard part of the URL.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/workflow-runs/{workflowRunId}/screens/{*}
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/workflow-runs/{workflowRunId}/screens/{*}:
    get:
      tags:
        - Workflow-run
      summary: Workflow run screen asset
      description: >-
        Retrieves a specific screen asset for a given workflow run. The asset
        path is specified by the wildcard part of the URL.
      parameters:
        - schema:
            type: string
          in: path
          name: workflowRunId
          required: true
          description: >-
            The unique identifier of the workflow run for which to retrieve an
            asset.
        - schema:
            type: string
          in: path
          name: '*'
          required: true
          description: The path to the screen asset (e.g., 'screens/step-1-screen.tsx'.)
      responses:
        '200':
          description: >-
            The requested asset content. The Content-Type header will indicate
            the asset's MIME type.
          content:
            application/json:
              schema: {}
        '400':
          description: >-
            Bad request, e.g., the workflowRunId or asset path was not in a
            valid format.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: >-
            Not Found, the workflow run or the specified screen asset does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: >-
            Internal server error or an error occurred while retrieving the
            asset.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false

````